Bug 231815 - i810 fails to display 1680x1050
i810 fails to display 1680x1050
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
http://ubuntuforums.org/showthread.ph...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-12 06:19 EDT by Keith Godfrey
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-10 18:33:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log file (60.51 KB, text/plain)
2007-03-12 21:51 EDT, Keith Godfrey
no flags Details
xorg config file (627 bytes, text/plain)
2007-03-12 21:53 EDT, Keith Godfrey
no flags Details
xorg log file after rebooting w/ no xorg.conf file (64.30 KB, text/plain)
2007-03-12 22:05 EDT, Keith Godfrey
no flags Details

  None (edit)
Description Keith Godfrey 2007-03-12 06:19:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en; rv:1.8.0.10) Gecko/20070226 Fedora/1.5.0.10-1.fc6 Epiphany/2.16 Firefox/1.5.0.10 pango-text

Description of problem:
I am unable to display any resolution greater than 1280x1024 on a new dell 20" 1680x1050 LCD monitor. Setting higher resolutions than this results in panning display. Computer & Monitor is Dell (Core 2 Duo; 965Q graphic chipset; 2007WFP 20" monitor). FC6 is installed w/ latest updates as of 10Mar07

I've tried many things to remedy this, so far all to no avail. These have included:
1) switching driver from "i810" to "intel" in xorg.conf
   Result: X wouldn't start
2) adding new display modes to xorg.conf
   Result: no effect
3) deleting display modes from xorg.conf 
   Result: panning display
4) Changing monitor resolution in Display settings
   Result (Gnome): panning screen
   Result (KDE): highest resolution selectable is 1280x1024



Version-Release number of selected component (if applicable):
X Window System Version 7.1.1

How reproducible:
Always


Steps to Reproduce:
1. (Gnome) go to menu item System::Admininstration::Display
2. Under settings tab, select 1680x1050, click "OK"
3. Restart X

Actual Results:
Results in panning display (apparent visual resolution ~1280x1024)

Expected Results:
Monitor resolution should be 1680x1050 (I still have an OEM operating system on a different partition - it is able to display the correct resolution)

Alternatively, I should be able to switch to the "intel" driver and run X (this one is supposed to support the 965 chipset)


Additional info:
Here is what appears to be relevant excerpts from my xorg log file

X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.9-42.0.8.ELsmp i686 Red Hat, Inc.
Current Operating System: Linux localhost.localdomain 2.6.19-1.2911.6.5.fc6 #1 SMP Sun Mar 4 16:41:13 EST 2007 i686
Build Date: 28 February 2007
Build ID: xorg-x11-server 1.1.1-47.7.fc6 

...

(II) I810(0): Supported VESA Video Modes:
(II) I810(0): 720x400@70Hz
(II) I810(0): 640x480@60Hz
(II) I810(0): 640x480@75Hz
(II) I810(0): 800x600@60Hz
(II) I810(0): 800x600@75Hz
(II) I810(0): 1024x768@60Hz
(II) I810(0): 1024x768@75Hz
(II) I810(0): 1280x1024@75Hz
(II) I810(0): Manufacturer's mask: 0
(II) I810(0): Supported Future Video Modes:
(II) I810(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
(II) I810(0): #1: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) I810(0): Supported additional Video Mode:
(II) I810(0): clock: 146.2 MHz   Image Size:  434 x 270 mm
(II) I810(0): h_active: 1680  h_sync: 1784  h_sync_end 1960 h_blank_end 2240 h_border: 0
(II) I810(0): v_active: 1050  v_sync: 1053  v_sync_end 1059 v_blanking: 1089 v_border: 0

...

(II) I810(0): Using EDID range info for horizontal sync
(II) I810(0): Using EDID range info for vertical refresh
(II) I810(0): Printing DDC gathered Modelines:
(II) I810(0): Modeline "800x600"   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync
(II) I810(0): Modeline "640x480"   31.50  640 656 720 840  480 481 484 500 -hsync -vsync
(II) I810(0): Modeline "640x480"   25.20  640 656 752 800  480 490 492 525 -hsync -vsync
(II) I810(0): Modeline "720x400"   28.32  720 738 846 900  400 412 414 449 -hsync +vsync
(II) I810(0): Modeline "1280x1024"  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync
(II) I810(0): Modeline "1024x768"   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync
(II) I810(0): Modeline "1024x768"   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync
(II) I810(0): Modeline "800x600"   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync
(II) I810(0): Modeline "1280x1024"  109.00  1280 1368 1496 1712  1024 1027 1034 1063 -hsync +vsync
(II) I810(0): Modeline "1152x864"  104.00  1152 1224 1344 1536  864 867 871 905 -hsync +vsync
(II) I810(0): Modeline "1680x1050"  146.25  1680 1784 1960 2240  1050 1053 1059 1089 +hsync -vsync
(II) I810(0): Will use BIOS call 0x5f05 to set refresh rates for CRTs.
(--) I810(0): Maximum space available for video modes: 12288 kByte
(II) I810(0): Using detected DDC timings
(II) I810(0): 	HorizSync 30-83
(II) I810(0): 	VertRefresh 56-76

...

(II) I810(0): <default monitor>: Using hsync range of 30.00-83.00 kHz
(II) I810(0): <default monitor>: Using vrefresh range of 56.00-76.00 Hz
(II) I810(0): Not using mode "1680x1050" (no mode of this name)
(II) I810(0): Not using mode "1280x800" (no mode of this name)
(II) I810(0): Not using built-in mode "1600x1200" (width too large for virtual size)
(II) I810(0): Increasing the scanline pitch to allow tiling mode (1280 -> 2048).
(--) I810(0): Virtual size is 1280x1024 (pitch 2048)
(**) I810(0): *Built-in mode "1280x1024"
(**) I810(0): *Built-in mode "1024x768"
(**) I810(0):  Built-in mode "800x600"
(**) I810(0):  Built-in mode "848x480"
(**) I810(0):  Built-in mode "640x480"
Comment 1 Matěj Cepl 2007-03-12 19:19:51 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Keith Godfrey 2007-03-12 21:51:48 EDT
Created attachment 149891 [details]
xorg log file
Comment 3 Keith Godfrey 2007-03-12 21:53:10 EDT
Created attachment 149892 [details]
xorg config file
Comment 4 Keith Godfrey 2007-03-12 22:05:12 EDT
Created attachment 149893 [details]
xorg log file after rebooting w/ no xorg.conf file

test: deleted xorg.conf to force autodetect
results: X started in pan mode (see attached log file) - estimate logical
screen size=1600x1200. vertical pan is OK; no horizontal pan (mouse X coords go
out of sync w/ display after trying horizontal pan right; resets w/ horizontal
pan left)

as additional information, i've tried compiling and running the latest kernel
(2.6.21rc3) to see if it'd help - it didn't. reverted to 2.6.19-1.2911.6.5.fc6.
Comment 5 Keith Godfrey 2007-03-15 03:47:28 EDT
Maybe this is an Xorg 7.1 problem...?  

From 
  http://xorg.freedesktop.org/wiki/ChangesForX11R72

"...These changes ... for the X11R7.2 release:

      Remove LBX - DanielStone
      Remove built-in keyboard driver bug 890
      server autoconfig improvements from Fedora - AdamJackson
--->> Intel i965 chipset support
..."

If Xorg 7.1 might be the problem, is there a practical way I can upgrade FC6 to
use Xorg 7.2 to test it out? (yum doesn't appear to have this option)
Comment 6 Keith Godfrey 2007-03-31 05:11:30 EDT
Tried installing Fedora 7 test 3 (which has Xorg 7.2) but this didn't resolve
the issue. Same results as Comment #4.

Problem reported (multiple times) in Ubuntu also.
Comment 7 Keith Godfrey 2007-04-01 23:03:51 EDT
Some further debugging info: 

The problem does not appear to be kernel related. The maximum resolution I get
under Ubuntu 6.10 (kernel 2.6.17) is 1280x1024 (the same maximum resolution I
get with 2.6.20 in Ubuntu 7.04 and Fedora 7 test 3)

The i810 man page says my chipset (965Q) is supported by the i810 driver, so
there is no need to use the 'intel' driver (which I've still not been able to
get to work)


Might the problem lie in the driver source code? Specifically, the file 

  .../drivers/video/i810/i810_dvt.c

has many predefined 'mode_registers' which define relevant constants for several
resolutions. All resolutions I've seen there appear to work. Might adding new
constant sets for 1680x1050 (and other resolutions people are having trouble
with) solve the display problems? If someone tells me how to generate these
constants, I can test this hypothesis.

Comment 8 Adam Jackson 2007-04-10 18:33:35 EDT
As of xorg-x11-drv-i810-1.6.5-19.fc7, 915GM and all 945 and 965 chips will use
the intel modesetting driver by default.  Please update, and test with that
driver, and reopen if you have further issues.

Note You need to log in before you can comment on or make changes to this bug.